org.apache.coyote.http11.upgrade

## Class NioProcessor

- java.lang.Object
- - org.apache.coyote.http11.upgrade.AbstractProcessor<NioChannel>
  - - org.apache.coyote.http11.upgrade.NioProcessor

- All Implemented Interfaces:
    WebConnection, Processor<NioChannel>

      public class NioProcessor
      extends AbstractProcessor<NioChannel>

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioProcessor(SocketWrapper<NioChannel> wrapper, HttpUpgradeHandler httpUpgradeProcessor, NioSelectorPool pool, int asyncWriteBufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()`

    - ### Methods inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `asyncDispatch, asyncPostProcess, close, errorDispatch, event, getExecutor, getHttpUpgradeHandler, getInputStream, getOutputStream, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch, upgradeDispatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NioProcessor

          public NioProcessor(SocketWrapper<NioChannel> wrapper,
                      HttpUpgradeHandler httpUpgradeProcessor,
                      NioSelectorPool pool,
                      int asyncWriteBufferSize)

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `AbstractProcessor<NioChannel>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.